> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt
> Use this file to discover all available pages before exploring further.

# SlaResponse Schema

> SLA compliance response. Includes required fields, field types, schema references, and generated JSON details from the 0xArchive OpenAPI contract.

Source OpenAPI: 0xArchive API 1.5.0; 140 paths; 119 component schemas.

SLA compliance response

## Required Fields

No required fields are declared on this component schema.

## JSON Schema

```json theme={"theme":"github-dark"}
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "SlaResponse",
  "description": "SLA compliance response",
  "type": "object",
  "properties": {
    "actual": {
      "type": "object",
      "properties": {
        "api_latency_p99_ms": {
          "type": "integer"
        },
        "completeness_status": {
          "type": "string",
          "enum": [
            "met",
            "missed"
          ]
        },
        "data_completeness": {
          "type": "object",
          "properties": {
            "fills": {
              "type": "number"
            },
            "funding": {
              "type": "number"
            },
            "orderbook": {
              "type": "number"
            },
            "overall": {
              "type": "number"
            }
          }
        },
        "latency_status": {
          "type": "string",
          "enum": [
            "met",
            "missed"
          ]
        },
        "uptime": {
          "type": "number"
        },
        "uptime_status": {
          "type": "string",
          "enum": [
            "met",
            "missed"
          ]
        }
      }
    },
    "incidents_this_period": {
      "type": "integer"
    },
    "period": {
      "description": "Period covered (e.g., '2026-01')",
      "type": "string"
    },
    "sla_targets": {
      "type": "object",
      "properties": {
        "api_latency_p99_ms": {
          "description": "API P99 latency target in ms",
          "type": "integer"
        },
        "data_completeness": {
          "description": "Data completeness target percentage",
          "type": "number"
        },
        "uptime": {
          "description": "Uptime target percentage",
          "type": "number"
        }
      }
    },
    "total_downtime_minutes": {
      "type": "integer"
    }
  }
}
```

## Referenced By

* [GET /v1/data-quality/sla](/schemas/operations/get-sla-metrics)
